org.apache.ignite.internal.client.impl.connection

## Class GridClientConnectionResetException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.internal.client.GridClientException
      - - org.apache.ignite.internal.client.impl.connection.GridClientConnectionResetException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  GridConnectionIdleClosedException

    public class GridClientConnectionResetException
    extends GridClientException

This exception is thrown when ongoing packet should be sent, but network connection is broken. In this case client will try to reconnect to any of the servers specified in configuration.

See Also:
  Serialized Form

### Method Summary

### Methods inherited from class org.apache.ignite.internal.client.GridClientException

`hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015